org.apache.http.client.params

## Interface ClientPNames

- All Known Subinterfaces:
    AllClientPNames

  已过时。
  （4.3）使用`RequestConfig` 。

      @Deprecated
      public interface ClientPNames

  HTTP客户端参数的参数名称。
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALLOW_CIRCULAR_REDIRECTS` 已过时。 定义是否允许循环重定向（重定向到同一位置）。
    `static String` | `CONN_MANAGER_TIMEOUT` 已过时。 定义从`ClientConnectionManager`检索`ManagedClientConnection`实例时使用的超时（以毫秒为单位）。
    `static String` | `CONNECTION_MANAGER_FACTORY_CLASS_NAME` 已过时。
    `static String` | `COOKIE_POLICY` 已过时。 定义用于HTTP状态管理的cookie规范的名称。
    `static String` | `DEFAULT_HEADERS` 已过时。 定义每个请求默认发送的请求头。
    `static String` | `DEFAULT_HOST` 已过时。 定义默认主机。
    `static String` | `HANDLE_AUTHENTICATION` 已过时。 定义是否应自动处理身份验证。
    `static String` | `HANDLE_REDIRECTS` 已过时。 定义是否应自动处理重定向
    `static String` | `MAX_REDIRECTS` 已过时。 定义要遵循的重定向的最大数量。
    `static String` | `REJECT_RELATIVE_REDIRECT` 已过时。 定义相关重定向是否应该被拒绝。
    `static String` | `VIRTUAL_HOST` 已过时。 定义要在 `Host`请求头中使用的虚拟主机，而不是物理主机。

- - ### 字段详细信息

    - #### CONNECTION_MANAGER_FACTORY_CLASS_NAME

          static final String CONNECTION_MANAGER_FACTORY_CLASS_NAME

      已过时。
      另请参见：
        Constant Field Values

    - #### HANDLE_REDIRECTS

          static final String HANDLE_REDIRECTS

      已过时。
      定义是否应自动处理重定向

      该参数期望值为`Boolean` 。

      另请参见：
        Constant Field Values

    - #### REJECT_RELATIVE_REDIRECT

          static final String REJECT_RELATIVE_REDIRECT

      已过时。
      定义相关重定向是否应该被拒绝。 HTTP规范要求位置值为绝对URI。

      此参数期望值为`Boolean` 。

      另请参见：
        Constant Field Values

    - #### MAX_REDIRECTS

          static final String MAX_REDIRECTS

      已过时。
      定义要遵循的重定向的最大数量。 重定向次数的限制是为了防止无限循环。

      该参数期望值为`Integer` 。

      另请参见：
        Constant Field Values

    - #### ALLOW_CIRCULAR_REDIRECTS

          static final String ALLOW_CIRCULAR_REDIRECTS

      已过时。
      定义是否允许循环重定向（重定向到同一位置）。 HTTP规范是否被允许循环重定向是不够清楚的，因此可以选择启用它们

      该参数期望值为`Boolean` 。

      另请参见：
        Constant Field Values

    - #### HANDLE_AUTHENTICATION

          static final String HANDLE_AUTHENTICATION

      已过时。
      定义是否应自动处理身份验证。

      此参数期望值为`Boolean` 。

      另请参见：
        Constant Field Values

    - #### COOKIE_POLICY

          static final String COOKIE_POLICY

      已过时。
      定义用于HTTP状态管理的cookie规范的名称。

      该参数期望值`String` 。

      另请参见：
        Constant Field Values

    - #### VIRTUAL_HOST

          static final String VIRTUAL_HOST

      已过时。
      定义要在`Host`请求头中使用的虚拟主机，而不是物理主机。

      该参数期望值为`HttpHost` 。

      如果未提供端口，则会从请求URL导出。
      另请参见：
        Constant Field Values

    - #### DEFAULT_HEADERS

          static final String DEFAULT_HEADERS

      已过时。
      定义每个请求默认发送的请求头。

      此参数期望类型为`Collection`的值。 收藏预计将包含`Header` s。

      另请参见：
        Constant Field Values

    - #### DEFAULT_HOST

          static final String DEFAULT_HOST

      已过时。
      定义默认主机。 如果请求URI中没有明确指定目标主机，则将使用默认值。

      该参数期望值为`HttpHost` 。

      另请参见：
        Constant Field Values

    - #### CONN_MANAGER_TIMEOUT

          static final String CONN_MANAGER_TIMEOUT

      已过时。
      定义从`ClientConnectionManager`检索`ManagedClientConnection`实例时使用的超时时间（以毫秒为单位）。

      该参数期望值为`Long` 。

      从以下版本开始：
        4.2
      另请参见：
        Constant Field Values

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585